Subject: Re: bug#16738: Errors while resizing vertically

From: martin rudalics <[email-masked]>
Date: Fri, 21 Feb 2014 14:07:32 +0100

> Another one without a clear recipe. I am using the following function on a fairly regular basis:
> 
> (defun es-maximize-window-vertically (&optional window)
>     (interactive)
>     (cl-callf window-normalize-window window)
>     (unless (eq window (frame-root-window))
>       (window-resize window (window-max-delta window))))
> 
> In combination with:
> 
> (setq window-min-height 1)
> 
> Sometimes it causes errors such as the ones below. In this state a) I can't resize any windows, using the above function. b) I can still resize using the mouse. c) Once I do, I usually can resize once with this function, but then I get a similar error again.
> 
> Evgeni
> 
> BACKTRACE1:
> 
> Debugger entered--Lisp error: (error "Cannot resize window #<window 128 on *Ack-and-a-half*>")
>   signal(error ("Cannot resize window #<window 128 on *Ack-and-a-half*>"))
>   error("Cannot resize window %s" #<window 128 on *Backtrace*>)
>   window-resize(#<window 128 on *Backtrace*> 28)
>   (if (eq window (frame-root-window)) nil (window-resize window (window-max-delta window)))
>   es-maximize-window-vertically()
>   call-interactively(es-maximize-window-vertically nil nil)
>   command-execute(es-maximize-window-vertically)

Hopefully fixed with revision 116504 on trunk.  Please try again.

martin